Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.manager.interfaces.impl
Class DefaultTreeInfo

    java.lang.Object
      org.jboss.console.manager.interfaces.impl.DefaultTreeInfo

All Implemented Interfaces:
  Serializable, TreeInfo

public class DefaultTreeInfo
extends Object
implements TreeInfo

Version:
  $Revision: 1.5 $

  Revisions:

  December 16, 2002 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  , Serialized Form

Field Summary
`protected TreeAction` | `homeAction`
`protected String` | `iconUrl`
`protected String` | `jbossVersion`
`protected HashMap` | `resources`
`protected TreeNodeMenuEntry[]` | `rootMenus`
`protected ManageableResource[]` | `roots`
`protected long` | `version`

Constructor Summary
`DefaultTreeInfo()`

Method Summary
`void` | `addTreeToResource(ManageableResource resource, TreeNode tree)`
`String` | `getDescription()`
`TreeAction` | `getHomeAction()`
`String` | `getIconUrl()`
`TreeNodeMenuEntry[]` | `getRootMenus()`
`ManageableResource[]` | `getRootResources()`
`TreeNode[]` | `getTreesForResource(ManageableResource resource)`
`long` | `getTreeVersion()`
`void` | `setHomeAction(TreeAction homeAction)`
`void` | `setIconUrl(String url)`
`void` | `setRootMenus(TreeNodeMenuEntry[] menus)`
`void` | `setRootResources(ManageableResource[] roots)`
`void` | `setTreeVersion(long version)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### roots

    protected ManageableResource[] roots

### resources

    protected HashMap resources

### homeAction

    protected TreeAction homeAction

### jbossVersion

    protected String jbossVersion

### version

    protected long version

### rootMenus

    protected TreeNodeMenuEntry[] rootMenus

### iconUrl

    protected String iconUrl

Constructor Detail

### DefaultTreeInfo

    public DefaultTreeInfo()

Method Detail

### getRootResources

    public ManageableResource[] getRootResources()

  Specified by:
    `getRootResources` in interface `TreeInfo`

### setRootResources

    public void setRootResources(ManageableResource[] roots)

  Specified by:
    `setRootResources` in interface `TreeInfo`

### getTreesForResource

    public TreeNode[] getTreesForResource(ManageableResource resource)

  Specified by:
    `getTreesForResource` in interface `TreeInfo`

### addTreeToResource

    public void addTreeToResource(ManageableResource resource,
                                  TreeNode tree)

  Specified by:
    `addTreeToResource` in interface `TreeInfo`

### getHomeAction

    public TreeAction getHomeAction()

  Specified by:
    `getHomeAction` in interface `TreeInfo`

### setHomeAction

    public void setHomeAction(TreeAction homeAction)

  Specified by:
    `setHomeAction` in interface `TreeInfo`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `TreeInfo`

### setRootMenus

    public void setRootMenus(TreeNodeMenuEntry[] menus)

  Specified by:
    `setRootMenus` in interface `TreeInfo`

### getRootMenus

    public TreeNodeMenuEntry[] getRootMenus()

  Specified by:
    `getRootMenus` in interface `TreeInfo`

### toString

    public String toString()

### getTreeVersion

    public long getTreeVersion()

  Specified by:
    `getTreeVersion` in interface `TreeInfo`

### setTreeVersion

    public void setTreeVersion(long version)

  Specified by:
    `setTreeVersion` in interface `TreeInfo`

### getIconUrl

    public String getIconUrl()

  Specified by:
    `getIconUrl` in interface `TreeInfo`

### setIconUrl

    public void setIconUrl(String url)

  Specified by:
    `setIconUrl` in interface `TreeInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.